# © 2019 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class UnionRegionale(models.Model):
    _name = "union.regionale"
    _description = "Union Régionale"
    _order = "name"

    long_name = fields.Char("Nom", required=True, index=True)
    name = fields.Char("Abbréviation", required=True, index=True)
    code_ur = fields.Char("Code UR")
    partner_filter = fields.Selection(
        [
            ("1", "Tous"),
            ("2", "Union régionale"),
            ("3", "Fed. communication"),
            ("4", "Fed. industrie"),
            ("5", "Fed. BTP"),
            ("6", "Fed CAE"),
        ],
        string="Filtre par défaut",
        default="2",
    )

    _sql_constraints = [
        ("name_uniq", "unique (name)", "Cette Union Régionale existe déjà !")
    ]
